Subject: bug#21310: 25.0.50; Alt-[ unavailable until C-x 8 [ used

From: Lars Ingebrigtsen <[email-masked]>
Date: Fri, 04 Dec 2020 10:49:03 +0100

Eli Zaretskii <[email-masked]> writes:

> No, but you can use "C-x @ a" to "generate" the Alt modifier.

Ah, right.

In any case, I think it's pretty inconsistent that `C-x 8' will (as a
side effect) make the `Alt-' bindings available, so I think it makes
sense to preload iso-transl so that things are more consistent.

So I've now done this on the trunk.  If people strenuously object,
though, I'm not married to the idea.  But then I think this should be
fixed so that `C-x 8' does not define the `Alt-' keystrokes, because
that's just an odd and not very logical interaction. 

-- 
(domestic pets only, the antidote for overdose, milk.)
   bloggy blog: http://lars.ingebrigtsen.no